Please enable / Bitte aktiviere JavaScript!
Veuillez activer / Por favor activa el Javascript![ Reload ]

My MX5 is 4.5.2.7U and i need to install a global version

My MX5 is 4.5.2.7U and i need to install a global version , i installed the original update to 5.0.1 G but when i trey to install ,it give corrupted massage

Meizu Pro 5

Look at the FAQ…

Looks like your connection to My MX5 is 4.5.2.7U and i need to install a global version was lost, please wait while we try to reconnect.